<script>

export let width = "300";
let dropdownMenu;
export function hide(){
    dropdownMenu.classList.remove("show")
}
</script>

<button

        class="btn btn-sm btn-outline-primary dropdown-toggle d-flex align-items-center"
        type="button"
        data-bs-toggle="dropdown"
        data-bs-auto-close="outside"
        aria-expanded="false"
>
    <slot name="button">Dropdown</slot>
</button>
<div bind:this={dropdownMenu} class="dropdown-menu" style="width:{width}px;">
    <slot/>
</div>

